「メイド・イン・ヘブン」スキン適用中

Cocoonフォーラム

サイト内検索
書き込みの前に以下の3点をご確認ください。
  1. 1つのトピックにつき1つの質問を書き込んでください
  2. 不具合・カスタマイズ対象ページのURLを提示高速化を無効にしてください
  3. 該当部分のキャプチャ・環境情報とともに書き込んでいただけると助かります

何を書き込んだら良いか分からない場合は、以下のテンプレートをコピペしてご利用ください。

不具合・カスタマイズ対象ページのURL:

相談内容:

不具合の発生手順:

解決のために試したこと:

※文字だけでは正しく伝わらない可能性があるため、スクショ画像の添付もお願いします。
※高速化設定をしている場合は無効にしてください。
環境情報:

※↑こちらに「Cocoon設定 → テーマ情報」にある「環境情報」を貼り付けてください。

環境情報の取得方法はこちら。
https://wp-cocoon.com/theme-report/
高速化設定を無効にするにはこちら。
https://wp-cocoon.com/theme-trouble/

フォーラム利用ガイドリンク

  1. フォーラムガイドライン
  2. よくある質問と答え(FAQ)
  3. サポート対象外のケース
  4. 原因不明の不具合用トラブルシューティング
  5. トピックにHTMLを貼り付ける方法(推奨ツール:notepad.pw
  6. 真っ白画面でのエラーメッセージの確認方法
  7. ブラウザ環境チェックツール
  8. Cocoonカスタマイズ依頼

フォーラム質問後、問題等が解決した場合は結果を書き込んでいただけると幸いです。同様の問題で調べている方には、結果が一番気になる部分となります。

テーマ適用時のエラー Fatal er...
 
共有:
通知
すべてクリア

[解決済] テーマ適用時のエラー Fatal error: Uncaught Error:

3 投稿
2 ユーザー
2 Reactions
2,178 表示
(@mokkan)
New Member
結合: 5年前
投稿: 2
Topic starter  

wordpressの新規構築の際、Cocoonを利用させていただこうと思い、

https://wp-cocoon.com/theme-install/

にならってテーマのインストールを行ったところ、

Fatal error: Uncaught Error: Call to undefined function curl_version() in /var/www/html/wp-content/themes/cocoon-1.9.7/lib/open-graph.php:301 Stack trace: #0 /var/www/html/wp-content/themes/cocoon-1.9.7/lib/open-graph.php(356): is_nss_curl() #1 /var/www/html/wp-content/themes/cocoon-1.9.7/lib/_imports.php(25): require_once('/var/www/html/w...') #2 /var/www/html/wp-content/themes/cocoon-1.9.7/lib/_defins.php(345): require_once('/var/www/html/w...') #3 /var/www/html/wp-content/themes/cocoon-1.9.7/functions.php(15): require_once('/var/www/html/w...') #4 /var/www/html/wp-settings.php(499): include('/var/www/html/w...') #5 /var/www/html/wp-config.php(90): require_once('/var/www/html/w...') #6 /var/www/html/wp-load.php(37): require_once('/var/www/html/w...') #7 /var/www/html/wp-admin/admin.php(34): require_once('/var/www/html/w...') #8 /var/www/html/wp-admin/customize.php(13): require_once('/var/www/html/w...') #9 {main} thrown in /var/www/html/wp-content/themes/cocoon-1.9.7/lib/open-graph.php on line 301

というエラーが出てしまいました。

wordpressの再インストール、上記リンクの軽量版ともに同じエラーメッセージが出る状況となっております。

解決策をご教授お願いいたします。

 

環境

OS : Raspbian Buster

php : 7.3.11

web : Apache 2.4.38

wp : 5.2.4–ja

plugin : 無し


   
ろこ
(@lococo)
Prominent Member Registered
結合: 6年前
投稿: 830
 

サーバーにPHPのcURL用ライブラリはインストールされていますか?

https://www.php.net/manual/ja/curl.installation.php


   
わいひら reacted
(@mokkan)
New Member
結合: 5年前
投稿: 2
Topic starter  

回答ありがとうございます。

$ sudo apt install php-curl

でプレビュー&有効化ができるようになりました。

curlを単純にインストールするのではなく、phpのモジュールとしてインストールするとは知識不足が露呈してしましました...

他のトピックを見ても、自前サーバーは無サポートなので、初心者&初構築はVPSでやった方がいいと感じました。

これからどんどん使わせていただきます!


   
わいひら reacted
共有:

問題の解決に至った場合には、トピック冒頭の「解決済み」をクリックしていただけますと幸いです。

また、有用な回答があった場合は返信右下にある「いいね!」もご活用ください。回答者の励みになります。

「いいね!」機能はフォーラム登録者のみが利用できる機能です。

CC BY-ND 2.1)準じていれば(リンクを貼っていただければ)転載も自由です。カスタマイズ記事を書く際にコード等をコピペ利用していただいて構いません。

フォーラムの使い方がよくわからない場合は、テストトピックで自由にテストしていただいて構いません。

最近の書き込みはこちら。

詳細なカスタマイズ依頼をするならこちら。

タイトルとURLをコピーしました